
%%%% p = time, n= # states, m= # inputs, r= # outputs, 
%%%% (A,B,C,Sigma_disturbance,Sigma_noise) = discrete-time system,
%%%% X0 = initial state
%%%% Q = state penalty, R = input penalty, 
%%%% L =  binary matrix defined as sign(K)
%%%% See the PDF guide for the definitions of Sigma_disturbance and Sigma_noise

p=50; %time
n=25; % state
m=15; % output
r=20; % input

%%%%%%%%%%%%%%%%%%%%%%%%%%
%Random

A=0.05*rand(n,n);
B=0.1*rand(n,m);
C=randn(r,n);
MM=rand(n,n);
NN=rand(m,m);
Q=MM*MM';
R=NN*NN';
X0=randn(n,1);
alpha=1;
beta=0;
Sigma_disturbance=eye(n);
Sigma_noise=eye(r);

L=rand(m,r)<0.5;





